simple-scan crashed with SIGSEGV in sane_xerox_mfp_control_option()

Bug #551956 reported by PatrykB on 2010-03-30
72
This bug affects 8 people
Affects Status Importance Assigned to Milestone
simple-scan (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: simple-scan

simple scan faild Samsung scx-4300

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: simple-scan 0.9.10-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CrashCounter: 1
Date: Tue Mar 30 20:37:12 2010
ExecutablePath: /usr/bin/simple-scan
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-18-generic root=UUID=d81e2e46-16c1-4ca5-9b13-08d369ab558f ro quiet splash
ProcCmdline: simple-scan
ProcEnviron:
 LANG=pl_PL.utf8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0xed5a91 <sane_xerox_mfp_control_option+289>: mov (%ecx),%eax
 PC (0x00ed5a91) ok
 source "(%ecx)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SimpleScanLog:

SourcePackage: simple-scan
StacktraceTop:
 sane_xerox_mfp_control_option ()
 sane_dll_control_option () from /usr/lib/libsane.so.1
 sane_control_option () from /usr/lib/libsane.so.1
 ?? ()
 ?? ()
Title: simple-scan crashed with SIGSEGV in sane_xerox_mfp_control_option()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/01/2005
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F6
dmi.board.name: 8I915GMF
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd02/01/2005:svn:pn:pvr:rvnGigabyteTechnologyCo.,Ltd.:rn8I915GMF:rvr:cvn:ct3:cvr:

PatrykB (barbarzynca-z-polnocy) wrote :

StacktraceTop:
 sane_xerox_mfp_control_option (h=0x98798e0, opt=5,
 sane_dll_control_option (handle=0x9896c78, option=5,
 sane_control_option (h=0x9896c78, opt=5,
 do_get_option (scanner=<value optimized out>)
 scan_thread (scanner=0x9775808) at scanner.c:1409

Changed in simple-scan (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Robert Ancell (robert-ancell) wrote :

Hi, if you are getting this problem could you please run:
$ simple-scan -d
from a terminal and attach the output to this bug report.

The issue is setting option 5 on your printer and the logs will show what that option is.

Changed in simple-scan (Ubuntu):
status: New → Incomplete
Download full text (4.0 KiB)

sirius1@sirius1-desktop:~$ simple-scan -d
** (simple-scan:6870): DEBUG: Starting Simple Scan 1.0.0, PID=6870
** (simple-scan:6870): DEBUG: Restoring window to 600x400 pixels
** (simple-scan:6870): DEBUG: sane_init () -> SANE_STATUS_GOOD
** (simple-scan:6870): DEBUG: SANE version 1.0.20
** (simple-scan:6870): DEBUG: Requesting redetection of scan devices
** (simple-scan:6870): DEBUG: Processing request
netdiscovery: relocation error: /lib/tls/i686/cmov/libnss_files.so.2: symbol
strcmp, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference
netdiscovery: relocation error: /lib/tls/i686/cmov/libnss_files.so.2: symbol
strcmp, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference
** (simple-scan:6870): DEBUG: sane_get_devices () -> SANE_STATUS_GOOD
** (simple-scan:6870): DEBUG: Device: name="smfp:SAMSUNG SCX-4300 Series on
USB:0" vendor="SAMSUNG" model="SCX-4300 Series on USB:0" type="Flatbed
Scanner"
** (simple-scan:6870): DEBUG: Device: name="xerox_mfp:libusb:001:002"
vendor="SAMSUNG" model="ORION" type="multi-function peripheral"
** (simple-scan:6870): DEBUG: Requesting scan at 300 dpi from device
'xerox_mfp:libusb:001:002'
** (simple-scan:6870): DEBUG: scanner_scan ("xerox_mfp:libusb:001:002", 300,
SCAN_SINGLE)
** (simple-scan:6870): DEBUG: Processing request
** (simple-scan:6870): DEBUG: sane_open ("xerox_mfp:libusb:001:002") ->
SANE_STATUS_GOOD
** (simple-scan:6870): DEBUG: sane_get_option_descriptor (0)
** (simple-scan:6870): DEBUG: Option 0: name='' title='Number of options'
type=int size=4 cap=soft-detect
** (simple-scan:6870): DEBUG: Description: Read-only option that specifies
how many options a specific devices supports.
** (simple-scan:6870): DEBUG: sane_get_option_descriptor (1)
** (simple-scan:6870): DEBUG: Option 1: name='standard' title='Standard'
type=group size=4
** (simple-scan:6870): DEBUG: Description: Source, mode and resolution
options
** (simple-scan:6870): DEBUG: sane_get_option_descriptor (2)
** (simple-scan:6870): DEBUG: Option 2: name='resolution' title='Scan
resolution' type=int size=4 unit=dpi values=[75, 100, 150, 200, 300, 600]
cap=soft-select,soft-detect
** (simple-scan:6870): DEBUG: Description: Sets the resolution of the
scanned image.
** (simple-scan:6870): DEBUG: sane_control_option (2, SANE_ACTION_SET_VALUE,
300) -> (SANE_STATUS_GOOD, 300)
** (simple-scan:6870): DEBUG: sane_get_option_descriptor (3)
** (simple-scan:6870): DEBUG: Option 3: name='mode' title='Scan mode'
type=string size=9 values=["Lineart", "Halftone", "Gray", "Color"]
cap=soft-select,soft-detect
** (simple-scan:6870): DEBUG: Description: Selects the scan mode (e.g.,
lineart, monochrome, or color).
** (simple-scan:6870): DEBUG: sane_control_option (3, SANE_ACTION_SET_VALUE,
"Color") -> (SANE_STATUS_GOOD, "Color")
** (simple-scan:6870): DEBUG: sane_get_option_descriptor (4)
** (simple-scan:6870): DEBUG: Option 4: name='highlight' title='Threshold'
type=fixed size=4 unit=percent min=30,000000, max=70,000000, quant=655360
cap=soft-select,soft-detect,inactive
** (simple-scan:6870): DEBUG: Description: Select minimum-brightness to
get a white point
** (simple-scan:6870): DEBUG: sane_get_option_descripto...

Read more...

Robert Ancell (robert-ancell) wrote :

Thanks Stanislav, that showed me where the problem was.

Changed in simple-scan (Ubuntu):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 1.0.2-0ubuntu1

---------------
simple-scan (1.0.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Fix crash setting automatic source on some drivers (LP: #551956)
 -- Robert Ancell <email address hidden> Fri, 16 Apr 2010 14:31:40 +0800

Changed in simple-scan (Ubuntu):
status: Fix Committed → Fix Released
viktor (lfraisse) wrote :

I didn't exactly had the same result as Stanislav (no errors before requesting a scan).

** (simple-scan:3100): DEBUG: Starting Simple Scan 1.0.0, PID=3100
** (simple-scan:3100): DEBUG: Restoring window to 600x400 pixels
** (simple-scan:3100): DEBUG: sane_init () -> SANE_STATUS_GOOD
** (simple-scan:3100): DEBUG: SANE version 1.0.20
** (simple-scan:3100): DEBUG: Requesting redetection of scan devices
** (simple-scan:3100): DEBUG: Processing request
** (simple-scan:3100): DEBUG: sane_get_devices () -> SANE_STATUS_GOOD
** (simple-scan:3100): DEBUG: Device: name="xerox_mfp:libusb:001:004" vendor="SAMSUNG" model="ORION" type="multi-function peripheral"
** (simple-scan:3100): DEBUG: Requesting scan at 300 dpi from device 'xerox_mfp:libusb:001:004'
** (simple-scan:3100): DEBUG: scanner_scan ("xerox_mfp:libusb:001:004", 300, SCAN_SINGLE)
** (simple-scan:3100): DEBUG: Processing request
** (simple-scan:3100): DEBUG: sane_open ("xerox_mfp:libusb:001:004") -> SANE_STATUS_GOOD
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (0)
** (simple-scan:3100): DEBUG: Option 0: name='' title='Number of options' type=int size=4 cap=soft-detect
** (simple-scan:3100): DEBUG: Description: Read-only option that specifies how many options a specific devices supports.
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (1)
** (simple-scan:3100): DEBUG: Option 1: name='standard' title='Standard' type=group size=4
** (simple-scan:3100): DEBUG: Description: Source, mode and resolution options
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (2)
** (simple-scan:3100): DEBUG: Option 2: name='resolution' title='Scan resolution' type=int size=4 unit=dpi values=[75, 100, 150, 200, 300, 600] cap=soft-select,soft-detect
** (simple-scan:3100): DEBUG: Description: Sets the resolution of the scanned image.
** (simple-scan:3100): DEBUG: sane_control_option (2, SANE_ACTION_SET_VALUE, 300) -> (SANE_STATUS_GOOD, 300)
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (3)
** (simple-scan:3100): DEBUG: Option 3: name='mode' title='Scan mode' type=string size=9 values=["Lineart", "Halftone", "Gray", "Color"] cap=soft-select,soft-detect
** (simple-scan:3100): DEBUG: Description: Selects the scan mode (e.g., lineart, monochrome, or color).
** (simple-scan:3100): DEBUG: sane_control_option (3, SANE_ACTION_SET_VALUE, "Color") -> (SANE_STATUS_GOOD, "Color")
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (4)
** (simple-scan:3100): DEBUG: Option 4: name='highlight' title='Threshold' type=fixed size=4 unit=percent min=30,000000, max=70,000000, quant=655360 cap=soft-select,soft-detect,inactive
** (simple-scan:3100): DEBUG: Description: Select minimum-brightness to get a white point
** (simple-scan:3100): DEBUG: sane_get_option_descriptor (5)
** (simple-scan:3100): DEBUG: Option 5: name='source' title='Scan source' type=string size=8 values=["Flatbed", "ADF", "Auto"] cap=soft-select,soft-detect
** (simple-scan:3100): DEBUG: Description: Selects the scan source (such as a document-feeder).
Erreur de segmentation (core dumped)

I'm waiting for the fix to be available and test it.

viktor (lfraisse) wrote :

I confirm the fix works perfectly fine. Thank you!

** (simple-scan:9807): DEBUG: Starting Simple Scan 1.0.2, PID=9807
** (simple-scan:9807): DEBUG: Restoring window to 600x400 pixels
** (simple-scan:9807): DEBUG: sane_init () -> SANE_STATUS_GOOD
** (simple-scan:9807): DEBUG: SANE version 1.0.20
** (simple-scan:9807): DEBUG: Requesting redetection of scan devices
** (simple-scan:9807): DEBUG: Processing request
** (simple-scan:9807): DEBUG: sane_get_devices () -> SANE_STATUS_GOOD
** (simple-scan:9807): DEBUG: Device: name="xerox_mfp:libusb:001:005" vendor="SAMSUNG" model="ORION" type="multi-function peripheral"
** (simple-scan:9807): DEBUG: Requesting scan at 300 dpi from device 'xerox_mfp:libusb:001:005'
** (simple-scan:9807): DEBUG: scanner_scan ("xerox_mfp:libusb:001:005", 300, SCAN_SINGLE)
** (simple-scan:9807): DEBUG: Processing request
** (simple-scan:9807): DEBUG: sane_open ("xerox_mfp:libusb:001:005") -> SANE_STATUS_GOOD
...

zhnikita (zhnikita) wrote :

No change for me...

nik@comp:~$ simple-scan -d
** (simple-scan:2208): DEBUG: Starting Simple Scan 1.0.0, PID=2208
** (simple-scan:2208): DEBUG: Restoring window to 600x400 pixels
** (simple-scan:2208): DEBUG: sane_init () -> SANE_STATUS_GOOD
** (simple-scan:2208): DEBUG: SANE version 1.0.20
** (simple-scan:2208): DEBUG: Requesting redetection of scan devices
** (simple-scan:2208): DEBUG: Processing request
** (simple-scan:2208): DEBUG: sane_get_devices () -> SANE_STATUS_GOOD
** (simple-scan:2208): DEBUG: Device: name="xerox_mfp:libusb:002:002" vendor="SAMSUNG" model="ORION" type="multi-function peripheral"
** (simple-scan:2208): DEBUG: Requesting scan at 300 dpi from device 'xerox_mfp:libusb:002:002'
** (simple-scan:2208): DEBUG: scanner_scan ("xerox_mfp:libusb:002:002", 300, SCAN_SINGLE)
** (simple-scan:2208): DEBUG: Processing request
** (simple-scan:2208): DEBUG: sane_open ("xerox_mfp:libusb:002:002") -> SANE_STATUS_GOOD
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (0)
** (simple-scan:2208): DEBUG: Option 0: name='' title='Number of options' type=int size=4 cap=soft-detect
** (simple-scan:2208): DEBUG: Description: Read-only option that specifies how many options a specific devices supports.
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (1)
** (simple-scan:2208): DEBUG: Option 1: name='standard' title='Standard' type=group size=4
** (simple-scan:2208): DEBUG: Description: Source, mode and resolution options
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (2)
** (simple-scan:2208): DEBUG: Option 2: name='resolution' title='Scan resolution' type=int size=4 unit=dpi values=[75, 100, 150, 200, 300, 600] cap=soft-select,soft-detect
** (simple-scan:2208): DEBUG: Description: Sets the resolution of the scanned image.
** (simple-scan:2208): DEBUG: sane_control_option (2, SANE_ACTION_SET_VALUE, 300) -> (SANE_STATUS_GOOD, 300)
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (3)
** (simple-scan:2208): DEBUG: Option 3: name='mode' title='Scan mode' type=string size=9 values=["Lineart", "Halftone", "Gray", "Color"] cap=soft-select,soft-detect
** (simple-scan:2208): DEBUG: Description: Selects the scan mode (e.g., lineart, monochrome, or color).
** (simple-scan:2208): DEBUG: sane_control_option (3, SANE_ACTION_SET_VALUE, "Color") -> (SANE_STATUS_GOOD, "Color")
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (4)
** (simple-scan:2208): DEBUG: Option 4: name='highlight' title='Threshold' type=fixed size=4 unit=percent min=30,000000, max=70,000000, quant=655360 cap=soft-select,soft-detect,inactive
** (simple-scan:2208): DEBUG: Description: Select minimum-brightness to get a white point
** (simple-scan:2208): DEBUG: sane_get_option_descriptor (5)
** (simple-scan:2208): DEBUG: Option 5: name='source' title='Scan source' type=string size=8 values=["Flatbed", "ADF", "Auto"] cap=soft-select,soft-detect
** (simple-scan:2208): DEBUG: Description: Selects the scan source (such as a document-feeder).
Ошибка сегментирования (core dumped)

But I have amd64.
P.S. Xsane work perfectly...

viktor (lfraisse) wrote :

@zhnikita
Obviously you haven't upgraded to Simple Scan 1.0.2
I have, a couple of hours ago and it works flawlessly on my amd64 machine.

Janne Nykänen (finguin) wrote :

The same problem still occurs with 32-bit Lucid and Simple Scan 1.0.2 with all the latest updates:

$ uname -a
Linux eldiablo 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

$ simple-scan -d
** (simple-scan:4985): DEBUG: Starting Simple Scan 1.0.2, PID=4985
** (simple-scan:4985): DEBUG: Restoring window to 600x400 pixels
** (simple-scan:4985): DEBUG: sane_init () -> SANE_STATUS_GOOD
** (simple-scan:4985): DEBUG: SANE version 1.0.20
** (simple-scan:4985): DEBUG: Requesting redetection of scan devices
** (simple-scan:4985): DEBUG: Processing request
netdiscovery: relocation error: /lib/tls/i686/cmov/libnss_files.so.2: symbol strcmp, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
netdiscovery: relocation error: /lib/tls/i686/cmov/libnss_files.so.2: symbol strcmp, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers